#!/bin/sh
# This script should be called from connector_manager.sh, and accepts the following parameters:
#  start_myconnector.sh <CONNECTORNAME> <SERVERNAME> <OPTIONAL ADDITIONAL PARAMETERS>
#
#  Any line that has the #   <-- Check on it should be reviewed for your connector
#
#The file CWSharedEnv.sh defines the following in it's classpath, so there is no need to override any of these:
#Please go look at this file, on the solaris build, it is in the $CROSSWORLDS/setup directory.
#All of these are bundeled together into the CLASSPATH variable which is then exported for your use
#It defines things such as:
#CORECW
#RSA 
#CWUTILS 
#XML_PARSER 
#DATAHANDLERS 
#MQ 
#ORB1 
#ORB2 
#JVM_FLAGS 
#JRT 
#JAVA_SECURITY 
#WEBLOGIC 
#
################################################
# General connector variable initialization section
# No changes should be necessary
# set CONNECTOR_TYPE  -- This is needed to differentate Java from C++ conncetors 
# set CONDIR  the directory where the specific connector resides, then change to this directory
# set CONNAME the name to be the application connector that is starting
# set SERVER  the server name to be the interchange that is being targeted
# set CONJAR to the fullpath of the connector .jar file.

CONNAME=$1
SERVER=$2
. ${CROSSWORLDS}/bin/CWConnEnv.sh
echo $CWCLASSES
CONDIR=${CROSSWORLDS}/connectors/${CONNAME}
LD_LIBRARY_PATH=${CONDIR}:${LD_LIBRARY_PATH}:
export LD_LIBRARY_PATH


################################################
# Connector specific variable initialization section
# Set your Connector agent here 

#The following two sections tell the script what language the connector was written in,
# and help it make the correct calls. 
#Please enable one of the next sections

#For C++ connectors enable the following
#CONNECTOR_TYPE="-d"                                                             #   <-- Check
#CONNECTOR_AGENT=${CONNAME}                                                      #   <-- Check
#CONJAR=""
#LOCAL_JVM_FLAGS=${CONN_CPP_JVM_FLAGS}

#For Java connectors enable the following
CONNECTOR_TYPE="-l"                                                              #   <-- Check
CONJAR=${CONDIR}/CW${CONNAME}.jar
LOCAL_JVM_FLAGS=${CONN_JAVA_JVM_FLAGS}


# ---- connector specific part ----

CONNECTOR_AGENT=com.ibm.adapters.${CONNAME}.${CONNAME}Agent                      #   <-- Check

# Set any connector specific Variables here
CON_SPEC_JAR_ONE=${CONDIR}/dependencies/nforb.jar:${CONDIR}/dependencies/nfcommon.jar         #   <-- Check
CON_SPEC_JAR_TWO=${CONDIR}/dependencies/classes12.zip      #   <-- Check

# Set Conn specific classpath here 
#Any specific variables defined above need to be added to the CON_SPECIFIC_CLASSPATH below.
CON_SPECIFIC_CLASSPATH=${CON_SPEC_JAR_ONE}:${CON_SPEC_JAR_TWO}

# Set any Connector specific start options here (Like -t or -fno etc.)
CON_START_OPTIONS=" "                                                            #   <-- Check

# ---- End of connector specific part ----

# We are using the JVM_FLAGS that are set in the CWSharedEnv.sh file, if you need to use different flags,
#  Change $JVM_FLAGS to be what you need to use.
# No changes should be necessary below this line.

CWCLASSES=${DATADIRECT}:${CWCLASSES}
CLASSPATH=${CON_SPECIFIC_CLASSPATH}:${CONJAR}:${CWCLASSES}
echo $CLASSPATH
${CROSSWORLDS}/bin/check_path.sh "$CLASSPATH"
exec ${CWJAVA} ${LOCAL_JVM_FLAGS} -Djava.ext.dirs=${JRE_EXT_DIRS} -classpath ${CLASSPATH}  AppEndWrapper ${CONNECTOR_TYPE}${CONNECTOR_AGENT} -n${CONNAME}Connector -s${SERVER} ${CON_START_OPTIONS}  $3 $4 $5 $6 $7 $8 $9
